> For the complete documentation index, see [llms.txt](https://knowledge.out-smart.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://knowledge.out-smart.com/openapi/material-categories.md).

# Material categories

## Get material categories

> This api is used to sync material categories with WorkorderApp.\
> Each material\_categories record can contain the following data:\
> \
> \| Parameter                 | Description                                   | Required | Type (size)   |\
> \|---------------------------|-----------------------------------------------|----------|---------------|\
> \| mct\_mat\_code              | Material code                                 | Y        | Varchar (255) |\
> \| mct\_cat\_code              | Category code                                 | Y        | Varchar (255) |

```json
{"openapi":"3.1.0","info":{"title":"OpenApi","version":"1.0.0"},"servers":[{"url":"{{api_url}}"},{"url":"https://www.werkbonapp.nl"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}},"paths":{"/material_categories/":{"get":{"summary":"Get material categories","parameters":[{"name":"token","in":"query","schema":{"type":"string"}},{"name":"software_token","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Response_200"}},"tags":["Material categories"],"description":"This api is used to sync material categories with WorkorderApp.\nEach material_categories record can contain the following data:\n\n| Parameter                 | Description                                   | Required | Type (size)   |\n|---------------------------|-----------------------------------------------|----------|---------------|\n| mct_mat_code              | Material code                                 | Y        | Varchar (255) |\n| mct_cat_code              | Category code                                 | Y        | Varchar (255) |"}}}}
```

## Add material categories

> This api is used to sync material categories with WorkorderApp.  \
> Each material\_categories record can contain the following data:\
> \
> \| Parameter | Description | Required | Type (size) |\
> \| --- | --- | --- | --- |\
> \| mct\_mat\_code | Material code | Y | Varchar (255) |\
> \| mct\_cat\_code | Category code | Y | Varchar (255)hmxg |

```json
{"openapi":"3.1.0","info":{"title":"OpenApi","version":"1.0.0"},"servers":[{"url":"{{api_url}}"},{"url":"https://www.werkbonapp.nl"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}},"paths":{"/material_categories/":{"post":{"summary":"Add material categories","parameters":[{"name":"token","in":"query","schema":{"type":"string"}},{"name":"software_token","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Response_200"}},"tags":["Material categories"],"description":"This api is used to sync material categories with WorkorderApp.  \nEach material_categories record can contain the following data:\n\n| Parameter | Description | Required | Type (size) |\n| --- | --- | --- | --- |\n| mct_mat_code | Material code | Y | Varchar (255) |\n| mct_cat_code | Category code | Y | Varchar (255)hmxg |"}}}}
```

## Delete material\_categories by id

> This api is used to delete the connection between materials and categories from OutSmart.\
> \
> Deleting material\_categories can also be done by \[providing the material code and category code]\(<https://documenter.getpostman.com/view/3100119/UVRDG5v7#4ec3384a-dba6-4108-b476-bb9106418f18).\\>
> \
> Records can be deleted by providing a list of ids which can be retrieved through \["GET material\_categories"]\(<https://documenter.getpostman.com/view/3100119/UVRDG5v7#16ea65df-7c4e-4c66-8653-e0ec21c598b5).\\>
> \
> \| Parameter | Description | Required | Type (size) |\
> \| --- | --- | --- | --- |\
> \| ids | A list of ids to be deleted | Y | array |\
> \
> Supported from OutSmart Backoffice v8.2.0

```json
{"openapi":"3.1.0","info":{"title":"OpenApi","version":"1.0.0"},"servers":[{"url":"{{api_url}}"},{"url":"https://www.werkbonapp.nl"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}},"paths":{"/material_categories/":{"delete":{"summary":"Delete material_categories by id","parameters":[{"name":"token","in":"query","required":false,"deprecated":false,"schema":{}},{"name":"software_token","in":"query","required":false,"deprecated":false,"schema":{}}],"responses":{"200":{"description":"Response_200","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"messages":{"type":"array","items":{"type":"string","format":"style"}},"response":{"type":"null"}}}}}}},"tags":["Material categories"],"description":"This api is used to delete the connection between materials and categories from OutSmart.\n\nDeleting material_categories can also be done by [providing the material code and category code](https://documenter.getpostman.com/view/3100119/UVRDG5v7#4ec3384a-dba6-4108-b476-bb9106418f18).\n\nRecords can be deleted by providing a list of ids which can be retrieved through [\"GET material_categories\"](https://documenter.getpostman.com/view/3100119/UVRDG5v7#16ea65df-7c4e-4c66-8653-e0ec21c598b5).\n\n| Parameter | Description | Required | Type (size) |\n| --- | --- | --- | --- |\n| ids | A list of ids to be deleted | Y | array |\n\nSupported from OutSmart Backoffice v8.2.0"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://knowledge.out-smart.com/openapi/material-categories.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
